"""
@copyright: European Organization for Nuclear Research (CERN)
@author: Fernando H. Barreiro U{fernando.harald.barreiro.megino@cern.ch<mailto:fernando.harald.barreiro.megino@cern.ch>}, CERN, 2011
@license: Licensed under the Apache License, Version 2.0 (the "License");
You may not use this file except in compliance with the License.
You may obtain a copy of the License at U{http://www.apache.org/licenses/LICENSE-2.0}
"""

TiB = 2**40

groupPledges = {
 'T1_DE_KIT_Disk': {'AnalysisOps':620*TiB},
 'T1_ES_PIC_Disk': {'AnalysisOps':500*TiB},
 'T1_FR_CCIN2P3_Disk': {'AnalysisOps':400*TiB},
 'T1_IT_CNAF_Disk': {'AnalysisOps':1000*TiB},
 'T1_RU_JINR_Disk': {'AnalysisOps':600*TiB},
 'T1_UK_RAL_Disk': {'AnalysisOps':600*TiB},
 'T1_US_FNAL_Disk': {'AnalysisOps':5000*TiB},
 'T2_AT_Vienna': {'AnalysisOps': 158*TiB},
 'T2_BE_IIHE': {'AnalysisOps': 518*TiB},
 'T2_BE_UCL': {'AnalysisOps': 340*TiB},
 'T2_BR_SPRACE': {'AnalysisOps': 475*TiB},
 'T2_BR_UERJ': {'AnalysisOps': 250*TiB},
 'T2_CH_CERN': {'AnalysisOps': 900*TiB},
 'T2_CH_CSCS': {'AnalysisOps': 244*TiB},
 'T2_CN_Beijing': {'AnalysisOps': 160*TiB},
 'T2_DE_DESY': {'AnalysisOps': 700*TiB},
 'T2_DE_RWTH': {'AnalysisOps': 400*TiB},
 'T2_EE_Estonia': {'AnalysisOps': 500*TiB},
 'T2_ES_CIEMAT': {'AnalysisOps': 425*TiB},
 'T2_ES_IFCA': {'AnalysisOps': 400*TiB},
 'T2_FI_HIP': {'AnalysisOps': 250*TiB},
 'T2_FR_CCIN2P3': {'AnalysisOps': 300*TiB},
 'T2_FR_GRIF_IRFU': {'AnalysisOps': 225*TiB},
 'T2_FR_GRIF_LLR': {'AnalysisOps': 300*TiB},
 'T2_FR_IPHC': {'AnalysisOps': 393*TiB},
 'T2_GR_Ioannina': {'AnalysisOps': 50*TiB},
 'T2_HU_Budapest': {'AnalysisOps': 150*TiB},
 'T2_IN_TIFR': {'AnalysisOps': 275*TiB},
 'T2_IT_Bari': {'AnalysisOps': 552*TiB},
 'T2_IT_Legnaro': {'AnalysisOps': 487*TiB},
 'T2_IT_Pisa': {'AnalysisOps': 495*TiB},
 'T2_IT_Rome': {'AnalysisOps': 457*TiB},
 'T2_KR_KNU': {'AnalysisOps': 280*TiB},
 'T2_MY_UPM_BIRUNI': {'AnalysisOps':10*TiB},
 'T2_PK_NCP': {'AnalysisOps':10*TiB},
 'T2_PL_Swierk': {'AnalysisOps':10*TiB},
 'T2_PL_Warsaw': {'AnalysisOps': 173*TiB},
 'T2_PT_NCG_Lisbon': {'AnalysisOps': 125*TiB},
 'T2_RU_IHEP': {'AnalysisOps': 206*TiB},
 'T2_RU_INR': {'AnalysisOps': 100*TiB},
 'T2_RU_ITEP': {'AnalysisOps': 150*TiB},
 'T2_RU_JINR': {'AnalysisOps': 250*TiB},
 'T2_RU_PNPI': {'AnalysisOps':10*TiB},
 'T2_RU_RRC_KI': {'AnalysisOps':10*TiB},
 'T2_RU_SINP': {'AnalysisOps': 100*TiB},
 'T2_TH_CUNSTDA': {'AnalysisOps':80*TiB},
 'T2_TR_METU': {'AnalysisOps': 100*TiB},
 'T2_TW_Taiwan': {'AnalysisOps': 100*TiB},
 'T2_UA_KIPT': {'AnalysisOps': 200*TiB},
 'T2_UK_London_Brunel': {'AnalysisOps': 400*TiB},
 'T2_UK_London_IC': {'AnalysisOps': 700*TiB},
 'T2_UK_SGrid_Bristol': {'AnalysisOps':60*TiB},
 'T2_UK_SGrid_RALPP': {'AnalysisOps': 325*TiB},
 'T2_US_Caltech': {'AnalysisOps': 575*TiB},
 'T2_US_Florida': {'AnalysisOps': 575*TiB},
 'T2_US_MIT': {'AnalysisOps': 575*TiB},
 'T2_US_Nebraska': {'AnalysisOps': 775*TiB},
 'T2_US_Purdue': {'AnalysisOps': 834*TiB},
 'T2_US_UCSD': {'AnalysisOps': 575*TiB},
 'T2_US_Wisconsin': {'AnalysisOps': 575*TiB},
}

